Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 469866 - Update Public Suffix (effective TLD) list (4)
: Update Public Suffix (effective TLD) list (4)
: verified1.9.0.16, verified1.9.1
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Peter Kasting
: Patrick McManus [:mcmanus]
: 430971 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2008-12-16 12:55 PST by David Triendl
Modified: 2009-11-23 10:46 PST (History)
7 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Update for public suffix list (4.58 KB, patch)
2008-12-16 12:55 PST, David Triendl
no flags Details | Diff | Splinter Review
Updated patch (6.70 KB, patch)
2009-09-17 12:37 PDT, Peter Kasting
gerv: review+
jst: approval1.9.2+
dveditz: approval1.9.1.6+
dveditz: approval1.9.0.16+
Details | Diff | Splinter Review

Description David Triendl 2008-12-16 12:55:22 PST
Created attachment 353265 [details] [diff] [review]
Update for public suffix list

This is the 4th round of updating the public suffix list (network/dns/src/effective_tld_names.dat).

* Update .vi
* Update .iq
* Update .cr
* Update .ru (thanks to Zac)
* Update .jp as requested by registry (thanks to Yoshiro Yoneya)

As I updated .ru to the official registry list, I'll make bug 430971 a duplicate of this bug.
Comment 1 David Triendl 2008-12-16 12:58:54 PST
*** Bug 430971 has been marked as a duplicate of this bug. ***
Comment 2 Gervase Markham [:gerv] 2008-12-17 11:31:11 PST
Comment on attachment 353265 [details] [diff] [review]
Update for public suffix list

Removing names from the list is obviously more controversial than adding new ones. Can you explain how you know that it's OK to remove those .ru and .vi entries?

Comment 3 Gervase Markham [:gerv] 2009-09-16 07:45:02 PDT
We dropped this one on the floor :-( Some of these changes have been made, but not all. The patch needs refreshing.

Comment 4 Gervase Markham [:gerv] 2009-09-16 07:47:05 PDT
Peter, Adam: are either of you able to take this on?

Comment 5 Peter Kasting 2009-09-16 11:15:59 PDT
I can look up Wikipedia entries and registry homepages for the changes here if you want.  I'm not sure whether that's sufficient for you; what would you like to see from someone who "takes this on"?
Comment 6 Gervase Markham [:gerv] 2009-09-17 01:12:57 PDT
What I was hoping for was for someone to look through David's patch, work out which of the changes he made have not yet been included in the current list, confirm those changes are still valid (which is fairly likely) and produce a new patch against the trunk for me to review :-)

Comment 7 Peter Kasting 2009-09-17 10:07:23 PDT
I'll try to do this.
Comment 8 Peter Kasting 2009-09-17 12:37:08 PDT
Created attachment 401265 [details] [diff] [review]
Updated patch

I double-checked all the old changes and added a few more.

Here are the differences from the old patch:
* .cr changes had already been applied, but with mismatched line endings; fixed those
* Modified comments slightly for clarity/accuracy
* Attempted to update .pa/.sa, about which we've debated in the past; the current .sa rules are quite clear, while the .pa rules are slightly less so (all public documentation agrees, but what it agrees on doesn't quite cover all of reality)
* Avoided collapsing Russian geographic rules from two sections to one, since the registrar didn't, and this makes both the patch diff and the diff of our list against the registrar slightly saner.  I did reorder a few rules in the name of alphabetization.
* Removed some inaccurate comments in the .us section and tried to replace with an accurate one
Comment 9 Gervase Markham [:gerv] 2009-09-18 09:43:00 PDT
Comment on attachment 401265 [details] [diff] [review]
Updated patch

I think that, in the name of future-proofing the list, if and are reserved, then we should add them. The only thing that could go wrong is if someone set up a website at And if they are reserved, that's not going to happen. 

What happened to

Comment 10 Peter Kasting 2009-09-18 10:52:03 PDT
(In reply to comment #9)
> (From update of attachment 401265 [details] [diff] [review])
> I think that, in the name of future-proofing the list, if and are
> reserved, then we should add them.

The problem with this is that the .vi registrar also lists thousands of other domains that are "reserved".  I feel like we should be consistent, and I don't see any benefit to getting the others.  If you can't purchase, and it's never been available in years, I'd prefer the simpler and more accurate file for now.

> What happened to

It is not listed on the registrar page.  Considering that it was the _only_ existing domain not listed, I assumed I wasn't just looking at a partial list.
Comment 11 Gervase Markham [:gerv] 2009-09-21 02:32:26 PDT
Comment on attachment 401265 [details] [diff] [review]
Updated patch


Comment 12 Gervase Markham [:gerv] 2009-09-21 02:33:45 PDT
Let's get this on the trunk to start with, and then think about branches. Peter: do you need me to check it in?

Comment 13 Peter Kasting 2009-09-21 10:33:05 PDT
(In reply to comment #12)
> Peter: do you need me to check it in?

Sure, go ahead.  Any chance you could also r+/checkin bug 513834?  We (Chromium folks) are still interested in that.
Comment 14 Gervase Markham [:gerv] 2009-09-22 03:39:02 PDT

After a couple of days, we'll nominate this for the two branches.

Comment 15 Gervase Markham [:gerv] 2009-09-28 10:33:47 PDT
Nominating for branches. Companion bug 513834. Justification: bringing public suffix list closer to reality.

Comment 16 Daniel Veditz [:dveditz] 2009-10-16 10:41:27 PDT
Comment on attachment 401265 [details] [diff] [review]
Updated patch

Approved for and, a=dveditz for release-drivers
Comment 17 Gervase Markham [:gerv] 2009-10-21 04:59:00 PDT
Checked in on all branches.

Checking in netwerk/dns/src/effective_tld_names.dat;
/cvsroot/mozilla/netwerk/dns/src/effective_tld_names.dat,v  <--  effective_tld_names.dat
new revision: 1.11; previous revision: 1.10

Comment 18 Al Billings [:abillings] 2009-11-23 10:46:11 PST
Verified for and in source. Nothing else for QA here.

Note You need to log in before you can comment on or make changes to this bug.